Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.heip_e

skbio.diversity.alpha.heip_e(counts)

  Calculate Heip’s evenness measure.

  Heip’s evenness is defined as:

  \[\frac{(e^H-1)}{(S-1)}\]

  where \(H\) is Shannon’s diversity index and \(S\) is the number of taxa in the sample.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      Heip’s evenness measure.

  See also

  `shannon`
  `pielou_e`

  Notes

  Heip’s evenness measure was originally described in [1].

  When there is only one taxon, the return value is 1.0.

  References

  [1]

  Heip, C. 1974. A new index measuring evenness. J. Mar. Biol. Ass. UK., 54, 555-557.